%define base_name deep-is

Name:           nodejs-deep-is
Version:        0.1.3
Release:        %mkrel 6
Summary:        Node's assert.deepEqual() algorithm as a standalone module
License:        MIT
Group:          Development/Other
Url:            https://github.com/thlorenz/deep-is
Source:        https://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:   nodejs-packaging
BuildArch:      noarch

%{?nodejs_find_provides_and_requires}

%description
Node's assert.deepEqual() algorithm as a standalone module.
Exactly like deep-equal except for the fact that 
deepEqual(NaN, NaN) === true.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%nodejs_sitelib/%{base_name}
cp -pr package.json index.js \
        %{buildroot}%nodejs_sitelib/%{base_name}/

%files
%doc README.markdown LICENSE example
%nodejs_sitelib/%{base_name}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.3-6.mga10
+ Revision: 2207417
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.1.3-5.mga9
+ Revision: 1816902
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.3-4.mga8
+ Revision: 1492493
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.3-3.mga7
+ Revision: 1264885
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1.3-2.mga6
+ Revision: 950436
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 0.1.3-1.mga5
+ Revision: 794404
- imported package nodejs-deep-is


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 0.1.3-1.mga5
- initial package

